<?php


namespace App\Database\Util;


use Carbon\Carbon;

class MysqlConverter
{
    private static $datetimeFields = ['timeStamp', 'timeIn', 'timeDone', 'etaOut'];
    private static function convertDatetimes($value) {
        return Carbon::parse($value);
    }

    public static function checkAndConvert($obj, $recurse = false) {
        if (config('database.default') == 'mysql') {
            foreach ($obj as $prop => $v) {
                if ($recurse && is_object($obj->{$prop})) {
                    self::checkAndConvert($obj->{$prop}, $recurse);
                }
                if ($v === 'true' || $v === 'false')  {
                    $obj->{$prop} = $v === 'true' ? 1 : 0;
                }
            }
        }
    }
}
