<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Contact extends Model
{
    use HasFactory, AttributeCreate;
    protected $table = 'contact';
    public $incrementing = false;

    protected $primaryKey = 'contactID';
    protected $fillable = ['contactID', 'custom', 'noEmail', 'noPhone', 'noMail', 'customerID'];

    protected $casts = [
        'noEmail' => 'boolean',
        'noPhone' => 'boolean',
        'noMail' => 'boolean'
    ];
}
