<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $registerCountAmountID
 * @property float $calculated
 * @property float $actual
 * @property int $registerCountID
 * @property int $paymentTypeID
 * @property string $created_at
 * @property string $updated_at
 */
class RegisterCountAmount extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'register_count_amount';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'registerCountAmountID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['registerCountAmountID', 'calculated', 'actual', 'registerCountID', 'paymentTypeID', 'created_at', 'updated_at'];

}
