<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $registerWithdrawID
 * @property float $amount
 * @property string $createTime
 * @property string $notes
 * @property int $employeeID
 * @property int $paymentTypeID
 * @property int $registerID
 * @property string $created_at
 * @property string $updated_at
 */
class RegisterWithdraw extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'register_withdraw';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'registerWithdrawID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['registerWithdrawID', 'amount', 'createTime', 'notes', 'employeeID', 'paymentTypeID', 'registerID', 'created_at', 'updated_at'];

}
