<?php
/**
 * Created by IntelliJ IDEA.
 * User: hashlu
 * Date: 10/25/18
 * Time: 6:51 AM
 */

namespace mattanger\Flash;
use Illuminate\Support\Facades\Session;

trait FlashMessage
{
    public function flash($message) {
        if (Session::has('message')) {
            $curMessage = Session::get('message');
            if (!is_array($curMessage)) {
                Session::flash('message', [$curMessage, $message]);
            } else {
                $curMessage[] = $message;
                Session::flash('message', $curMessage);
            }
        } else {
            Session::flash('message', $message);
        }
    }
}
