<?php
/**
 * Created by IntelliJ IDEA.
 * User: hashlu
 * Date: 10/25/18
 * Time: 7:32 AM
 */

/**
 * @param $message
 * @return array
 */
function parseFlash($message) {
    list($type, $message) = explode('|', $message);

    switch ($type) {
        case 'success':
            $type = "alert-success";
            break;
        case 'warning':
            $type = "alert-warning";
            break;
        case 'error':
            $type = "alert-danger";
            break;
        case 'info':
        default:
            $type = "alert-info";
            break;
    }

    return [
        'type' => $type,
        'message' => $message
    ];
}