<?php
/**
 * Created by IntelliJ IDEA.
 * User: hashlu
 * Date: 3/15/19
 * Time: 8:41 AM
 */

class ApplicationBuilder
{

    private $document;
    private $root;
    private $formList;
    private $forms;

    public function __construct(DOMDocument $document, $applicationName)
    {
        $this->forms = [];
        $this->document = $document;
        $this->root = $document->createElement('application');
        $this->root->setAttribute('name', $applicationName);
        $this->formList = $this->document->createElement('formlist');
        $this->root->appendChild($this->formList);
    }

    public function addForm($formName) {

        $form = $this->document->createElement('form');
        $this->forms[$formName] = $form;
        $form->setAttribute('name', $formName);
        $this->formList->appendChild($form);
    }

}
