<?php

namespace App\Console\Commands;

use App\Database\LightspeedDataImporter;
use Illuminate\Console\Command;

class ImportSerialized extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'import:serialized {--update} {--minutes=}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle(LightspeedDataImporter $lightspeedDataImporter)
    {
        $lightspeedDataImporter->importSerialized($this->option('update'), $this->option('minutes'));
        return 0;
    }
}
