<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use App\Models\Traits\HasCompositePrimaryKey;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ContactAddress extends Model
{
    use HasFactory, AttributeCreate, HasCompositePrimaryKey;

    protected $table = 'contact_address';
    public $incrementing = false;
    protected $primaryKey = ['contactID', 'customerID'];
    protected $fillable = ['customerID', 'contactID', 'address1', 'address2', 'city', 'state', 'zip', 'country', 'countryCode', 'stateCode'];
}
