<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use App\Models\Traits\HasCompositePrimaryKey;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ContactEmail extends Model
{
    use HasFactory, AttributeCreate, HasCompositePrimaryKey;
    protected $table = 'contact_email';
    public $incrementing = false;
    protected $primaryKey = ['customerID', 'contactID', 'useType'];
    protected $fillable = ['customerID', 'contactID', 'address', 'useType'];
}
