<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use App\Models\Traits\HasCompositePrimaryKey;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ContactPhone extends Model
{
    use HasFactory, AttributeCreate, HasCompositePrimaryKey;

    protected $table = 'contact_phone';
    public $incrementing = false;
    protected $primaryKey = ['customerID', 'contactID', 'useType'];

    protected $fillable = ['customerID', 'contactID', 'number', 'useType'];
}
