<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $taxClassID
 * @property string $name
 * @property string $SaleLines
 * @property string $Items
 * @property string $timeStamp
 * @property string $created_at
 * @property string $updated_at
 */
class TaxClass extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'tax_class';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'taxClassID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['taxClassID', 'name', 'SaleLines', 'Items', 'timeStamp', 'created_at', 'updated_at'];

}
